Go to the first, previous, next, last section, table of contents.

### `ox_push_cmd`, `ox_sync`

`ox_push_cmd(number,command)`
  :: Sends a command command to a process whose identifier is number.
`ox_sync(number)`
  :: Sends OX_SYNC_BALL to a process whose identifier is number.

return
  0
number
  integer(process identifier)
command
  integer(command identifier)

- Sends a command or OX_SYNC_BALL to a process whose identifier is number.
- Data in OpenXM are categorized into three types: OX_DATA, OX_COMMAND, OX_SYNC_BALL. Usually OX_COMMAND and OX_SYNC_BALL are sent implicitly with high level operations, but these functions are prepared to send these data explicitly.
- OX_SYNC_BALL is used on the reseting operation by `ox_reset`. Usually OX_SYNC_BALL will be ignored by the peer.

`References`
  section `ox_rpc`, `ox_cmo_rpc`, `ox_execute_string`, section `ox_reset`,`ox_intr`,`register_handler`

Go to the first, previous, next, last section, table of contents.